com.jogamp.opengl.cg

## Class CgDynamicLibraryBundleInfo

- java.lang.Object
- - com.jogamp.opengl.cg.CgDynamicLibraryBundleInfo

- All Implemented Interfaces:
    DynamicLibraryBundleInfo

      public final class CgDynamicLibraryBundleInfo
      extends Object
      implements DynamicLibraryBundleInfo

- - ### Field Summary

    - ### Fields inherited from interface com.jogamp.common.os.DynamicLibraryBundleInfo

      `DEBUG`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getCgGlueLibIndex()`
    `List<String>` | `getGlueLibNames()`
    `RunnableExecutor` | `getLibLoaderExecutor()`
    `List<String>` | `getToolGetProcAddressFuncNameList()` Tool has none
    `List<List<String>>` | `getToolLibNames()`
    `boolean` | `shallLinkGlobal()` Make Cg symbols available to CgGL
    `boolean` | `shallLookupGlobal()`
    `long` | `toolGetProcAddress(long toolGetProcAddressHandle, String funcName)` Tool has none
    `boolean` | `useToolGetProcAdressFirst(String funcName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCgGlueLibIndex

          public static final int getCgGlueLibIndex()

    - #### shallLinkGlobal

          public final boolean shallLinkGlobal()

      Make Cg symbols available to CgGL
      Specified by:
        `shallLinkGlobal` in interface `DynamicLibraryBundleInfo`

    - #### shallLookupGlobal

          public final boolean shallLookupGlobal()

      Returns `false`.

      Specified by:
        `shallLookupGlobal` in interface `DynamicLibraryBundleInfo`

    - #### getToolGetProcAddressFuncNameList

          public final List<String> getToolGetProcAddressFuncNameList()

      Tool has none
      Specified by:
        `getToolGetProcAddressFuncNameList` in interface `DynamicLibraryBundleInfo`

    - #### toolGetProcAddress

          public final long toolGetProcAddress(long toolGetProcAddressHandle,
                                String funcName)

      Tool has none
      Specified by:
        `toolGetProcAddress` in interface `DynamicLibraryBundleInfo`

    - #### useToolGetProcAdressFirst

          public final boolean useToolGetProcAdressFirst(String funcName)

      Specified by:
        `useToolGetProcAdressFirst` in interface `DynamicLibraryBundleInfo`

    - #### getToolLibNames

          public final List<List<String>> getToolLibNames()

      Specified by:
        `getToolLibNames` in interface `DynamicLibraryBundleInfo`

    - #### getGlueLibNames

          public final List<String> getGlueLibNames()

      Specified by:
        `getGlueLibNames` in interface `DynamicLibraryBundleInfo`

    - #### getLibLoaderExecutor

          public final RunnableExecutor getLibLoaderExecutor()

      Specified by:
        `getLibLoaderExecutor` in interface `DynamicLibraryBundleInfo`

Copyright 2010 JogAmp Community.